# List of Sport Events Endpoint

### About the Endpoint <a href="#uofapilistofsporteventsendpoint-abouttheendpoint" id="uofapilistofsporteventsendpoint-abouttheendpoint"></a>

**Endpoint PATH**

```
sports/{language}/schedules/pre/schedule.xml 
```

**Endpoint Description**

This endpoint returns a comprehensive list of almost all events, along with their relevant information, for which we provide pre-match odds. It serves as a valuable resource during early startup phases to acquire a wide range of fixtures.

&#x20;You have the option to specify *start* and *limit* parameters, enabling you to manage the number of events/fixtures you wish to receive.

**Endpoint Parameters**

You can customize the endpoint response by using the following parameters.

| Parameter                                                      | Description                                                  | Possible Values                                                                                          |
| -------------------------------------------------------------- | ------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------- |
| <p><em>language</em></p><p><strong>Required</strong></p>       | Language code for translation.                               | See all supported languages and their codes on [language support](/uof/introduction/language-support.md) |
| <p><em>start</em></p><p><strong>Optional</strong></p>          | Specify the index of the starting record                     | <p>Any integer from 0</p><p>E.g: 0, 1,2, ....</p>                                                        |
| <p><em>limit</em></p><p><em><strong>Optional</strong></em></p> | The number of records (events/fixture) to return (max: 1000) | <p>Any integer from 1 - 1000</p><p>E.g: 1,2, ...., 1000</p>                                              |

### Endpoint Structure <a href="#uofapilistofsporteventsendpoint-endpointstructure" id="uofapilistofsporteventsendpoint-endpointstructure"></a>

{% hint style="success" %}
Change hint typeFor a full breakdown of each endpoint and its structure, refer to the [Element page](https://app.gitbook.com/o/ZO6TPSCtikUxdBddrKNy/s/1KlIQPveu0EGYCTI8DL1/~/changes/151/api-and-structure/api/elements)​
{% endhint %}

The endpoint is structured as follows:

* \<schedule>
  * \<sport\_event>
    * \<tournament\_round>
    * \<season>
    * \<tournament>
      * \<sport>
      * \<category>
    * \<competitors>
      * \<competitor>
        * \<reference\_ids>
          * \<reference\_id>
    * \<venue>

More information about each of the above elements can be found by following the respective links.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/static-sport-event-information/list-of-sport-events-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
